Bug 1261001 - Failing test for :test operation on OpenJdk 1.7.85
Failing test for :test operation on OpenJdk 1.7.85
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.4.3
Unspecified Unspecified
medium Severity medium
: CR1
: EAP 6.4.4
Assigned To: mchoma
Petr Kremensky
:
Depends On:
Blocks: 1235744
  Show dependency treegraph
 
Reported: 2015-09-08 07:54 EDT by mchoma
Modified: 2017-01-17 05:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 05:52:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mchoma 2015-09-08 07:54:06 EDT
KerberosHttpInterfaceManualTest#testTestOperationInKerberosRealm start to fail running on OpenJDK 1.7.85, because output of operation :test has changed in OpenJDK 1.7.85. 

Test is by nature unstable/buggy (is ignored for all java 8 right now [1]) as it depens on textual :test output which depens on jdk implementation - can vary from release to release [2]. As stated here [3] operation :test is not officially supported feature and was meant as utility method. 

Therefore I will ignore this test to avoid future problems [4].

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1165675
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1161580
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1165675#c3
[4] https://github.com/jbossas/jboss-eap/pull/2536
Comment 1 mchoma 2015-09-08 07:59:12 EDT
PR sent https://github.com/jbossas/jboss-eap/pull/2536
Comment 4 Petr Kremensky 2015-09-23 06:53:49 EDT
Verified on EAP 6.4.4.CP.CR3
Comment 5 Petr Penicka 2017-01-17 05:52:24 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.